sensorfw: StepCounterSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
StepCounterSensorChannel Class Reference

Sensor for accessing the internal step counter sensor measurements. More...

`#include <stepcountersensor.h>`

Inheritance diagram for StepCounterSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | StepCounterChanged (const Unsigned &value)
| Sent when a change in measured data is observed. More...

## Public Member Functions
Unsigned | steps () const
| Property for accessing the measured value. More...

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for StepCounterSensorChannel. More...

## Protected Member Functions
| StepCounterSensorChannel (const QString &id)
virtual | ~StepCounterSensorChannel ()

## Properties
Unsigned | steps

## Detailed Description

Sensor for accessing the internal step counter sensor measurements.

Signals listeners whenever observed steps count changed.

Definition at line 49 of file stepcountersensor.h.

## Constructor & Destructor Documentation

## ◆ StepCounterSensorChannel()

StepCounterSensorChannel::StepCounterSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~StepCounterSensorChannel()

virtual StepCounterSensorChannel::~StepCounterSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ factoryMethod()

static AbstractSensorChannel* StepCounterSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for StepCounterSensorChannel.

Returns
  New StepCounterSensorChannel as AbstractSensorChannel*

Definition at line 61 of file stepcountersensor.h.

## ◆ start

bool StepCounterSensorChannel::start | ( |  | ) |
| slot

## ◆ StepCounterChanged

void StepCounterSensorChannel::StepCounterChanged | ( | const Unsigned & | value | ) |
| signal

Sent when a change in measured data is observed.

Parameters

  value | Measured value.

## ◆ steps()

Unsigned StepCounterSensorChannel::steps | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 73 of file stepcountersensor.h.

## ◆ stop

bool StepCounterSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ steps

Unsigned StepCounterSensorChannel::steps
| read

Definition at line 1 of file stepcountersensor.h.

The documentation for this class was generated from the following file:

- sensors/stepcountersensor/stepcountersensor.h